#1392 Remove i686/x86_64 architecture limitations (e. g. - ppc64/ppc64le)
Closed: Fixed None Opened 5 years ago by Menanteau Guy.

menantea@linux.vnet.ibm.com reported the following issue:

test QA:Testcase_realmd_join_kickstart fails with f22 Beta TC2 in ppc64 and
ppc64le arches.

Using procedure described in
https://fedoraproject.org/wiki/QA:Testcase_realmd_join_kickstart
on
http://ppc.koji.fedoraproject.org/compose/22_Beta_TC2/22_Beta_TC2/Server/ppc64
image.

I tried to install freeipa but when I run command:
ipa-server-install -a Secret123 -p Secret123 --domain=my.domain
--realm=MY.DOMAIN --hostname dc.my.domain -U
I got in /var/log/ipaserver-install.log:
ERROR: '/bin/BtoA' does not execute on the 'ppc64' architecture!
...
ERROR: '/bin/AtoB' does not execute on the 'ppc64' architecture!

I applied change in /bin/BtoA and /bin/AtoB
change line:
elif [ "${ARCHITECTURE}" = "x86_64" ] ; then
by:
elif [ "${ARCHITECTURE}" = "x86_64" ] || [ "${ARCHITECTURE}" = "ppc64" ] ||
[ "${ARCHITECTURE}" = "ppc64le" ] ; then

With this change, I got an error of configuration I need to investigate but
nothing to do with problem above.


Alternative 1 - Simplify the architectures on Linux in the java wrap patch - [provided by David Sommerseth]
0001-Simplify-the-architectures-on-Linux-in-the-java-wrap.patch

Alternative 2 - Cleanup LD_ILBRARY_PATH usage in pki_java_command_wrapper patch - [provided by David Sommerseth]
0001-Cleanup-LD_LIBRARY_PATH-usage-in-pki_java_command_wr.patch

Metadata Update from @Menanteau Guy:
- Issue assigned to mharmsen
- Issue set to the milestone: 10.2.5

3 years ago

Login to comment on this ticket.

Metadata